# © 2024 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class MutualGuaranteeFundLine(models.Model):
    _name = "mutual.guarantee.fund.line"
    _description = "Ligne Fonds Mutuel de garantie"
    _check_company_auto = True
    _order = "date desc, id desc"

    guarantee_id = fields.Many2one(
        comodel_name="financial.contract.guarantee",
        string="Contrat de garantie",
        required=True,
        index=True,
    )
    partner_id = fields.Many2one(
        comodel_name="res.partner",
        related="guarantee_id.partner_id",
        string="Contact",
        store=True,
        index=True,
    )
    company_id = fields.Many2one(
        comodel_name="res.company",
        related="guarantee_id.company_id",
        string="Société",
        store=True,
        index=True,
    )
    currency_id = fields.Many2one(
        comodel_name="res.currency",
        related="guarantee_id.currency_id",
    )
    amount = fields.Monetary("Montant")
    date = fields.Date(required=True)

    # ------------------------------------------------------
    # Constrains functions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD (Override ORM)
    # ------------------------------------------------------
